# Copyright 1999-2010 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

EAPI=3
DESCRIPTION="Man pages for OpenGL"
HOMEPAGE="http://www.opengl.org/sdk/docs/man/"
SRC_URI="http://draconx.ca/${P}.tar.xz"

LICENSE="as-is"
SLOT="0"
KEYWORDS="~amd64"
IUSE=""

DEPEND="app-text/docbook2X"
RDEPEND=""

src_compile() {
	cd ${S}
	for i in *.xml; do
		docbook2man.pl $i || die
	done
}

src_install() {
	cd ${S}
	doman *.3G || die
}
